创建聊天对话
curl --request POST \
--url https://api.tkhub.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-4",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
],
"temperature": 1,
"top_p": 1,
"n": 1,
"stream": false,
"stream_options": {
"include_usage": true
},
"stop": "<string>",
"max_tokens": 123,
"max_completion_tokens": 123,
"presence_penalty": 0,
"frequency_penalty": 0,
"logit_bias": {},
"user": "<string>",
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {}
}
}
],
"response_format": {
"json_schema": {}
},
"seed": 123,
"modalities": [],
"audio": {
"voice": "<string>",
"format": "<string>"
}
}
'import requests
url = "https://api.tkhub.ai/v1/chat/completions"
payload = {
"model": "gpt-4",
"messages": [
{
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
],
"temperature": 1,
"top_p": 1,
"n": 1,
"stream": False,
"stream_options": { "include_usage": True },
"stop": "<string>",
"max_tokens": 123,
"max_completion_tokens": 123,
"presence_penalty": 0,
"frequency_penalty": 0,
"logit_bias": {},
"user": "<string>",
"tools": [
{
"type": "function",
"function": {
"name": "<string>",
"description": "<string>",
"parameters": {}
}
}
],
"response_format": { "json_schema": {} },
"seed": 123,
"modalities": [],
"audio": {
"voice": "<string>",
"format": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-4',
messages: [
{
content: '<string>',
name: '<string>',
tool_calls: [
{
id: '<string>',
type: 'function',
function: {name: '<string>', arguments: '<string>'}
}
],
tool_call_id: '<string>',
reasoning_content: '<string>'
}
],
temperature: 1,
top_p: 1,
n: 1,
stream: false,
stream_options: {include_usage: true},
stop: '<string>',
max_tokens: 123,
max_completion_tokens: 123,
presence_penalty: 0,
frequency_penalty: 0,
logit_bias: {},
user: '<string>',
tools: [
{
type: 'function',
function: {name: '<string>', description: '<string>', parameters: {}}
}
],
response_format: {json_schema: {}},
seed: 123,
modalities: [],
audio: {voice: '<string>', format: '<string>'}
})
};
fetch('https://api.tkhub.ai/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "chat.completion",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"content": "<string>",
"name": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"tool_call_id": "<string>",
"reasoning_content": "<string>"
}
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"text_tokens": 123,
"audio_tokens": 123,
"image_tokens": 123
},
"completion_tokens_details": {
"text_tokens": 123,
"audio_tokens": 123,
"reasoning_tokens": 123
}
},
"system_fingerprint": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
}
}OpenAI格式(Chat)
创建聊天对话
根据对话历史创建模型响应。支持流式和非流式响应。
兼容 OpenAI Chat Completions API。
POST
/
v1
/
chat
/
completions
创建聊天对话
Authorizations
使用 Bearer Token 认证。
格式: Authorization: Bearer sk-xxxxxx
Body
application/json
模型 ID
Example:
"gpt-4"
对话消息列表
Show child attributes
Show child attributes
采样温度
Required range:
0 <= x <= 2核采样参数
Required range:
0 <= x <= 1生成数量
Required range:
x >= 1是否流式响应
Show child attributes
Show child attributes
停止序列
最大生成 Token 数
最大补全 Token 数
Required range:
-2 <= x <= 2Required range:
-2 <= x <= 2Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
none, auto, required Show child attributes
Show child attributes
推理强度 (用于支持推理的模型)
Available options:
low, medium, high Available options:
text, audio Show child attributes
Show child attributes
Was this page helpful?
⌘I